## seafile-server-4.0.6-adf9a875a960c1471bf6c93fce397c576e985bb3.tar.gz

=== msi/Makefile ===
CULTURE = zh-cn
LANG_FILE = zh_CN.wxl
TARGET = seafile.msi
ifeq (${MAKECMDGOALS}, en)
	CULTURE = en-us
	LANG_FILE = en_US.wxl
	TARGET = seafile-en.msi
endif
ifeq (${MAKECMDGOALS}, de)
	CULTURE = de-de
	LANG_FILE = de_DE.wxl
	TARGET = seafile-de.msi
endif

all : $(TARGET)
en: all
de: all

CC=candle.exe
LD=light.exe

CFLAGS = -nologo -ext WixUIExtension -ext WixUtilExtension
LDFLAGS = -nologo -spdb -ext \
	WixUIExtension -ext WixUtilExtension \
	-loc ${LANG_FILE} -cultures:${CULTURE}

sources = WixUI_InstallDir_NoLicense.wxs MyInstallDirDlg.wxs \
	seafile.wxs fragment.wxs 

OBJECTS = ${sources:%.wxs=%.wixobj} 

fragment.wxs: 
	Paraffin.exe -dir bin -g -alias bin -custom bin fragment.wxs

%.wixobj : %.wxs
	$(CC) $(CFLAGS) $< -o $@

seafile.wixobj : seafile.wxs Includes.wxi
	$(CC) $(CFLAGS) $< -o $@

$(TARGET) : $(OBJECTS) $(LANG_FILE)
	$(LD) $(LDFLAGS) $(OBJECTS) -o $@

clean :
	rm -f $(OBJECTS) *.msi fragment.*

.PHONY: all en de clean

=== debian/changelog ===
seafile (4.0.7) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 19 January 2015 11:44:30 +0800

seafile (4.0.6) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Thu, 8 January 2015 13:49:30 +0800

seafile (4.0.5) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tue, 23 December 2014 16:09:30 +0800

seafile (4.0.4) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Sat, 13 December 2014 13:43:00 +0800

seafile (4.0.3) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 1 December 2014 14:00:00 +0800

seafile (4.0.2) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Sat, 29 November 2014 14:29:00 +0800

seafile (4.0.1) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tue, 18 November 2014 11:26:56 +0800

seafile (4.0.0) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Fri, 7 November 2014 16:56:56 +0800

seafile (3.1.11) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Fri, 14 November 2014 14:57:45 +0800

seafile (3.1.10) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Thu, 13 November 2014 14:28:45 +0800

seafile (3.1.9) stable; urgency=low
  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Wed, 12 November 2014 12:18:45 +0800

seafile (3.1.8) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tue, 28 October 2014 16:15:45 +0800

seafile (3.1.7) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 28 September 2014 11:00:00 +0800

seafile (3.1.6) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Wed, 17 September 2014 17:40:00 +0800

seafile (3.1.5) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 13 August 2014 16:04:36 +0800

seafile (3.1.4) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 5 August 2014 13:28:19 +0800

seafile (3.1.3) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 4 August 2014 15:41:44 +0800

seafile (3.1.2) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Fri, 1 August 2014 19:00:32 +0800

seafile (3.1.0) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Sat, 5 July 2014 19:00:32 +0800

seafile (3.0.4) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Mon, 12 May 2014 19:00:32 +0800

seafile (3.0.3) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Wed, 30 April 2014 19:00:32 +0800

seafile (3.0.2) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Monday, 21 April 2014 19:00:32 +0800

seafile (3.0.1) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Thursday, 10 April 2014 19:00:32 +0800

seafile (3.0.0) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tuesday, 25 March 2014 19:00:32 +0800

seafile (2.1.2) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tuesday, 4 March 2014 19:00:32 +0800

seafile (2.2.0) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tuesday, 15 April 2014 19:00:32 +0800

seafile (2.1.1) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Saturday, 9 January 2014 19:00:32 +0800

seafile (2.1.0) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Saturday, 19 December 2013 19:00:32 +0800

seafile (2.0.8) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Saturday, 9 November 2013 19:00:32 +0800

seafile (2.0.7) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Thursday, 7 November 2013 19:00:32 +0800

seafile (2.0.6) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tuesday, 22 October 2013 19:00:32 +0800

seafile (2.0.4) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Tuesday, 22 October 2013 19:00:32 +0800

seafile (2.0.3) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Thursday, 17 October 2013 19:00:32 +0800

seafile (2.0.2) stable; urgency=low

  * Several improvments for seafile-client

 -- plt <freeplant@gmail.com>  Fri, 11 October 2013 19:00:32 +0800

seafile (2.0.1) stable; urgency=low

  * Minor improvements for new seafile-client

 -- plt <freeplant@gmail.com>  Mon, 30 September 2013 19:00:32 +0800

seafile (2.0.0) stable; urgency=low

  * Use new seafile-client

 -- plt <freeplant@gmail.com>  Fri, 27 September 2013 19:00:32 +0800

seafile (1.8.2) stable; urgency=low

  * Fix a bug when dir object is lost

 -- plt <freeplant@gmail.com>  Wed, 16 August 2013 19:00:32 +0800

seafile (1.8.1) stable; urgency=low

  * Fixed a bug in CDC
  * Init static variables in libcdc before mainloop starts.

 -- plt <freeplant@gmail.com>  Wed, 14 August 2013 19:00:32 +0800

seafile (1.8.0) stable; urgency=low

  * Skip chunking errors
  * Fix some bugs

 -- plt <freeplant@gmail.com>  Wed, 31 July 2013 19:00:32 +0800

seafile (1.7.3) stable; urgency=low

  * Fix a bug in merge

 -- plt <freeplant@gmail.com>  Friday, 5 July 2013 19:00:32 +0800



=== debian/control ===
Source: seafile
Section: net
Priority: extra
Maintainer: Lingtao Pan <freeplant@gmail.com>
Build-Depends:
	debhelper (>= 7),
	autotools-dev,
	libssl-dev,
	libsqlite3-dev,
	intltool,
	libglib2.0-dev,
	libevent-dev,
	uuid-dev,
	libgtk2.0-dev,
    libqt4-dev
Standards-Version: 3.9.4
Homepage: http://seafile.com

Package: seafile
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libglib2.0-0,
	libsqlite3-0,
	libuuid1,
	libssl0.9.8 | libssl1.0.0,
	libevent-2.0-5,
    libqt4-network,
    libqtcore4,
    libqtgui4
Description: Client of seafile, an online file storage and collaboration tool
 Seafile enables you to build private cloud for file sharing and collaboration
 among team members in your company/organization. This is the Linux desktop
 client of the seafile system.
 .
 First you create a file library in the web and upload files to it. Then you
 share it into a team or with another user.
 .
 File libraries can also be synchronized among computers and mobile devices. You
 download a library to your PC. Whenever you add, delete or edit a file, the
 latest version be uploaded to the server automatically and then be synchronized
 to everyone's computer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


# SEARPC_SOURCE_DIR and CCNET_SOURCE_DIR is set by build-deb.py
searpc_dir = $(LIBSEARPC_SOURCE_DIR)
ccnet_dir = $(CCNET_SOURCE_DIR)
seafile_client_dir = $(SEAFILE_CLIENT_SOURCE_DIR)
destdir = $(CURDIR)/debian/seafile
install_prefix = $(destdir)/usr

build:
	dh_testdir
	mkdir -p $(install_prefix)
	# build and install libsearpc so it can be used by ccnet and seafile
	cd $(searpc_dir) && ./configure $(CROSS) --prefix=/usr --disable-compile-demo CFLAGS="$(CFLAGS)" && make && make install DESTDIR=$(destdir)

	# Fix the problem of DESTDIR and libtool
	sed -i -e "s;/usr/lib/libsearpc-json-glib;$(destdir)/usr/lib/libsearpc-json-glib;g" $(install_prefix)/lib/libsearpc.la

	# build and install ccnet so it can be used by seafile
	cd $(ccnet_dir) && ./configure $(CROSS) --prefix=/usr --disable-compile-demo CFLAGS="$(CFLAGS)" && make && make install DESTDIR=$(destdir)

	./configure --prefix=/usr CFLAGS="$(CFLAGS)" && make && make install DESTDIR=$(destdir)

	# build and install seafile-client
	cd $(seafile_client_dir) && cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release . && make -j2 && make install DESTDIR=$(destdir)

	# remove development files
	rm -rf $(install_prefix)/include
	rm -rf $(install_prefix)/lib/pkgconfig
	rm -rf $(install_prefix)/lib/*.a
	rm -rf $(install_prefix)/lib/*.la
	rm -f $(install_prefix)/bin/searpc-codegen.py
	rm -f $(install_prefix)/bin/ccnet-servtool

	rm -f $(install_prefix)/bin/seafile-web
	rm -rf $(install_prefix)/share/seafile

clean:
	dh_clean

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch:
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
